Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class PKIXPolicyNode

    java.lang.Object
      |
      +--org.bouncycastle.jce.provider.PKIXPolicyNode

All Implemented Interfaces:
  PolicyNode

public class PKIXPolicyNode
extends java.lang.Object
implements PolicyNode

Field Summary
`protected java.util.List` | `children`
`protected boolean` | `critical`
`protected int` | `depth`
`protected java.util.Set` | `expectedPolicies`
`protected PolicyNode` | `parent`
`protected java.util.Set` | `policyQualifiers`
`protected java.lang.String` | `validPolicy`

Constructor Summary
`PKIXPolicyNode(java.util.List _children, int _depth, java.util.Set _expectedPolicies, PolicyNode _parent, java.util.Set _policyQualifiers, java.lang.String _validPolicy, boolean _critical)`

Method Summary
`void` | `addChild(PKIXPolicyNode _child)`
`java.lang.Object` | `clone()`
`PKIXPolicyNode` | `copy()`
`java.util.Iterator` | `getChildren()` Returns an iterator over the children of this node.
`int` | `getDepth()` Returns the depth of this node in the valid policy tree.
`java.util.Set` | `getExpectedPolicies()` Returns the set of expected policies that would satisfy this node's valid policy in the next certificate to be processed.
`PolicyNode` | `getParent()` Returns the parent of this node, or `null` if this is the root node.
`java.util.Set` | `getPolicyQualifiers()` Returns the set of policy qualifiers associated with the valid policy represented by this node.
`java.lang.String` | `getValidPolicy()` Returns the valid policy represented by this node.
`boolean` | `hasChildren()`
`boolean` | `isCritical()` Returns the criticality indicator of the certificate policy extension in the most recently processed certificate.
`void` | `removeChild(PKIXPolicyNode _child)`
`void` | `setCritical(boolean _critical)`
`void` | `setParent(PKIXPolicyNode _parent)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String _indent)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### children

    protected java.util.List children

### depth

    protected int depth

### expectedPolicies

    protected java.util.Set expectedPolicies

### parent

    protected PolicyNode parent

### policyQualifiers

    protected java.util.Set policyQualifiers

### validPolicy

    protected java.lang.String validPolicy

### critical

    protected boolean critical

Constructor Detail

### PKIXPolicyNode

    public PKIXPolicyNode(java.util.List _children,
                          int _depth,
                          java.util.Set _expectedPolicies,
                          PolicyNode _parent,
                          java.util.Set _policyQualifiers,
                          java.lang.String _validPolicy,
                          boolean _critical)

Method Detail

### addChild

    public void addChild(PKIXPolicyNode _child)

### getChildren

    public java.util.Iterator getChildren()

  Description copied from interface: `PolicyNode`
  Returns an iterator over the children of this node. Any attempts to modify the children of this node through the `Iterator`'s remove method must throw an `UnsupportedOperationException`.

  Specified by:
    `getChildren` in interface `PolicyNode`
  Returns:
    an iterator over the children of this node

### getDepth

    public int getDepth()

  Description copied from interface: `PolicyNode`
  Returns the depth of this node in the valid policy tree.

  Specified by:
    `getDepth` in interface `PolicyNode`
  Returns:
    the depth of this node (0 for the root node, 1 for its children, and so on)

### getExpectedPolicies

    public java.util.Set getExpectedPolicies()

  Description copied from interface: `PolicyNode`
  Returns the set of expected policies that would satisfy this node's valid policy in the next certificate to be processed.

  Specified by:
    `getExpectedPolicies` in interface `PolicyNode`
  Returns:
    an immutable `Set` of expected policy `String` OIDs, or an immutable `Set` with the single special value "any-policy". For the root node, this method always returns a `Set` with the single value "any-policy".

### getParent

    public PolicyNode getParent()

  Description copied from interface: `PolicyNode`
  Returns the parent of this node, or `null` if this is the root node.

  Specified by:
    `getParent` in interface `PolicyNode`
  Returns:
    the parent of this node, or `null` if this is the root node

### getPolicyQualifiers

    public java.util.Set getPolicyQualifiers()

  Description copied from interface: `PolicyNode`
  Returns the set of policy qualifiers associated with the valid policy represented by this node.

  Specified by:
    `getPolicyQualifiers` in interface `PolicyNode`
  Returns:
    an immutable `Set` of `PolicyQualifierInfo`s. For the root node, this is always an empty `Set`.

### getValidPolicy

    public java.lang.String getValidPolicy()

  Description copied from interface: `PolicyNode`
  Returns the valid policy represented by this node.

  Specified by:
    `getValidPolicy` in interface `PolicyNode`
  Returns:
    the `String` OID of the valid policy represented by this node, or the special value "any-policy". For the root node, this method always returns the special value "any-policy".

### hasChildren

    public boolean hasChildren()

### isCritical

    public boolean isCritical()

  Description copied from interface: `PolicyNode`
  Returns the criticality indicator of the certificate policy extension in the most recently processed certificate.

  Specified by:
    `isCritical` in interface `PolicyNode`
  Returns:
    `true` if extension marked critical, `false` otherwise. For the root node, `false` is always returned.

### removeChild

    public void removeChild(PKIXPolicyNode _child)

### setCritical

    public void setCritical(boolean _critical)

### setParent

    public void setParent(PKIXPolicyNode _parent)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.String _indent)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### copy

    public PKIXPolicyNode copy()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD